/// <reference types="q" />
import Q = require("q");
import interfaces = require("./interfaces");
export interface IQueryEqualPair {
    key: string;
    value: string;
}
export interface IQueryObject {
    limit?: number;
    offset?: number;
    equals?: IQueryEqualPair[];
}
export declare class USMART {
    private debug;
    private authInfo;
    private client;
    constructor(auth?: interfaces.IAuthInfo, debug?: boolean);
    request(organisation: string, resource: string, revision?: string, query?: IQueryObject): Q.Promise<{}>;
    subscribe(organisation: string, dataset: string): Q.Promise<{}>;
    private setupClient();
    private buildEqualQueries(equals);
    private buildQuery(query?);
    private buildURL(organisation, resource, revision);
}
